### Method

# GUsb Context save

since: 0.4.0

#### Declaration

    gboolean
    g_usb_context_save (
      GUsbContext* self,
      JsonBuilder* json_builder,
      GError** error
    )

#### Description

Saves the context to an existing JSON builder.

Available since: 0.4.0

#### Parameters

`json_builder`

  Type: `JsonBuilder`

  A `JsonBuilder`.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success.